package main

import (
	"fmt"
	"os"
	"strings"
)

func main() {
	var s, x, sep string
	for i := 0; i < len(os.Args); i++ {
		s += sep + os.Args[i]
		sep = " "
	}
	fmt.Printf("s: %v\n", s)
	fmt.Println("-------------------------")
	// 空标识符（blank identifier）
	// 空标识符可用于任何语法需要变量名但程序逻辑不需要的时候, 例如, 在循环里，丢弃不需要的循环索引, 保留元素值
	for _, arg := range os.Args[1:] {
		x += sep + arg
		sep = "|"
	}
	fmt.Printf("x: %v\n", x)
	fmt.Println("----------------------------")
	fmt.Println(strings.Join(os.Args[1:], "#"))

}

// 输出
// go run .\demo\u2.go 1 2 3 4
// s: u2.exe 1 2 3 4
// -------------------------
// x:  1|2|3|4
// ----------------------------
// 1#2#3#4
